Bug 74494 - New PHP packages fix vulnerability in mail function
New PHP packages fix vulnerability in mail function
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: php (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-25 07:13 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-11 12:25:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2002-09-25 07:13:16 EDT
PHP is an HTML-embedded scripting language commonly used with Apache.

The mail function in PHP 4.x to 4.2.2 may allow remote attackers to
bypass safe mode restrictions and modify command line arguments to the
MTA (e.g. sendmail) in the 5th argument to mail(), altering MTA
behavior and possibly executing commands.

The mail function in PHP 4.x to 4.2.2 does not filter ASCII control
characters from its arguments, which could allow remote attackers to
modify mail message content, including mail headers, and possibly use
PHP as a "spam proxy."

References  http://marc.theaimsgroup.com/?l=bugtraq&m=103011916928204    
CVE Names   CAN-2002-0985 CAN-2002-0986  

These issues are public
Comment 1 Mark J. Cox (Product Security) 2002-11-11 12:25:08 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2002-214.html

Note You need to log in before you can comment on or make changes to this bug.